> ## Documentation Index
> Fetch the complete documentation index at: https://docs.recallrai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get System Prompt

> Retrieve the global system prompt used by Recallr AI.

**Headers:**
- `X-Recallr-Project-Id` (UUID): Your project ID.
- `X-Recallr-Api-Key` (str): Your API key.

**Query Parameters:**
- `recall_strategy`: The recall strategy you are using.

**Returns:**
- `system_prompt` (str): The full global system prompt text.



## OpenAPI

````yaml https://api.recallrai.com/api/openapi.json get /api/v1/system-prompt
openapi: 3.1.0
info:
  title: api-backend
  description: This powers the Recallr AI API Backend
  version: 0.1.0
servers:
  - url: https://api.recallrai.com
    description: Production server
security: []
paths:
  /api/v1/system-prompt:
    get:
      tags:
        - System Prompt
      summary: Get System Prompt
      description: |-
        Retrieve the global system prompt used by Recallr AI.

        **Headers:**
        - `X-Recallr-Project-Id` (UUID): Your project ID.
        - `X-Recallr-Api-Key` (str): Your API key.

        **Query Parameters:**
        - `recall_strategy`: The recall strategy you are using.

        **Returns:**
        - `system_prompt` (str): The full global system prompt text.
      operationId: get_system_prompt_api_v1_system_prompt_get
      parameters:
        - name: recall_strategy
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/RecallStrategy'
        - name: X-Recallr-Project-Id
          in: header
          required: true
          schema:
            type: string
            format: uuid
            title: X-Recallr-Project-Id
        - name: X-Recallr-Api-Key
          in: header
          required: true
          schema:
            type: string
            title: X-Recallr-Api-Key
      responses:
        '200':
          description: System prompt retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemPromptResponse'
              example:
                system_prompt: You are an AI assistant with memory...
        '401':
          description: Authentication required
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RecallStrategy:
      type: string
      enum:
        - low_latency
        - balanced
        - agentic
        - auto
      title: RecallStrategy
      description: Type of recall strategy.
    SystemPromptResponse:
      properties:
        system_prompt:
          type: string
          title: System Prompt
      type: object
      required:
        - system_prompt
      title: SystemPromptResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````